/* Import plugin specific language pack */
 tinyMCE.importPluginLanguagePack('advlink','en,de,sv,zh_cn,cs,fa,fr_ca,fr,pl,pt_br,nl,he,no,ru,ru_KOI8-R,ru_UTF-8,cy,es,is');
function TinyMCE_advlink_getInfo(){
	return{
		longname:'Advanced link, modified for Typo3',
		author:'Moxiecode Systems [Modding: outraxX]',
		authorurl:'http://tinymce.moxiecode.com, http://www.outraxX.de',
		infourl:'http://tinymce.moxiecode.com/tinymce/docs/plugin_advlink.html',
		version:tinyMCE.majorVersion+"."+tinyMCE.minorVersion
	};
};

function TinyMCE_advlink_getControlHTML(control_name){
	switch(control_name){
		case "link":
			var cmd='tinyMCE.execInstanceCommand(\'{$editor_id}\',\'mceAdvLink\');return false;';
			return '<a href="javascript:'+cmd+'" onclick="'+cmd+'" target="_self" onmousedown="return false;"><img id="{$editor_id}_advlink" src="{$themeurl}/images/link.gif" title="{$lang_link_desc}" width="20" height="20" class="mceButtonNormal" onmouseover="tinyMCE.switchClass(this,\'mceButtonOver\');" onmouseout="tinyMCE.restoreClass(this);" onmousedown="tinyMCE.restoreClass(this);" /></a>';
	}
	return "";
}

function TinyMCE_advlink_execCommand(editor_id,element,command,user_interface,value){
	switch(command){
		case "mceAdvLink":
			fileBrowserCallBack("", "", "link", "");
			return true;
	}
	return false;
}

function TinyMCE_advlink_handleNodeChange(editor_id,node,undo_index,undo_levels,visual_aid,any_selection){
	tinyMCE.switchClassSticky(editor_id+'_advlink','mceButtonDisabled',true);
	if(node==null)return;if(any_selection)tinyMCE.switchClassSticky(editor_id+'_advlink','mceButtonNormal',false);
	do{
	//	if(node.nodeName=="A"&&tinyMCE.Attrib(node,'href')!="")tinyMCE.switchClassSticky(editor_id+'_advlink','mceButtonSelected',false);
	}
	while((node=node.parentNode));
	return true;
}